JUCE: dsp::Phaser< SampleType > Class Template Reference

JUCE

Public Member Functions | List of all members
dsp::Phaser< SampleType > Class Template Reference
juce_dsp » widgets

A 6 stage phaser that modulates first order all-pass filters to create sweeping notches in the magnitude frequency response. More...

`#include <juce_Phaser.h>`

## Public Member Functions
| Phaser ()
| Constructor. More...
void | setRate (SampleType newRateHz)
| Sets the rate (in Hz) of the LFO modulating the phaser all-pass filters. More...
void | setDepth (SampleType newDepth)
| Sets the volume (between 0 and 1) of the LFO modulating the phaser all-pass filters. More...
void | setCentreFrequency (SampleType newCentreHz)
| Sets the centre frequency (in Hz) of the phaser all-pass filters modulation. More...
void | setFeedback (SampleType newFeedback)
| Sets the feedback volume (between -1 and 1) of the phaser. More...
void | setMix (SampleType newMix)
| Sets the amount of dry and wet signal in the output of the phaser (between 0 for full dry and 1 for full wet). More...
void | prepare (const ProcessSpec &spec)
| Initialises the processor. More...
void | reset ()
| Resets the internal state variables of the processor. More...
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
| Processes the input and output samples supplied in the processing context. More...

## Detailed Description

template<typename SampleType>
class dsp::Phaser< SampleType >

A 6 stage phaser that modulates first order all-pass filters to create sweeping notches in the magnitude frequency response.

This audio effect can be controlled with standard phaser parameters: the speed and depth of the LFO controlling the frequency response, a mix control, a feedback control, and the centre frequency of the modulation.

## Constructor & Destructor Documentation

## ◆ Phaser()

template<typename SampleType >

dsp::Phaser< SampleType >::Phaser | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ setRate()

template<typename SampleType >

void dsp::Phaser< SampleType >::setRate | ( | SampleType | newRateHz | ) |

Sets the rate (in Hz) of the LFO modulating the phaser all-pass filters.

This rate must be lower than 100 Hz.

## ◆ setDepth()

template<typename SampleType >

void dsp::Phaser< SampleType >::setDepth | ( | SampleType | newDepth | ) |

Sets the volume (between 0 and 1) of the LFO modulating the phaser all-pass filters.

## ◆ setCentreFrequency()

template<typename SampleType >

void dsp::Phaser< SampleType >::setCentreFrequency | ( | SampleType | newCentreHz | ) |

Sets the centre frequency (in Hz) of the phaser all-pass filters modulation.

## ◆ setFeedback()

template<typename SampleType >

void dsp::Phaser< SampleType >::setFeedback | ( | SampleType | newFeedback | ) |

Sets the feedback volume (between -1 and 1) of the phaser.

Negative can be used to get specific phaser sounds.

## ◆ setMix()

template<typename SampleType >

void dsp::Phaser< SampleType >::setMix | ( | SampleType | newMix | ) |

Sets the amount of dry and wet signal in the output of the phaser (between 0 for full dry and 1 for full wet).

## ◆ prepare()

template<typename SampleType >

void dsp::Phaser< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

## ◆ reset()

template<typename SampleType >

void dsp::Phaser< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

## ◆ process()

template<typename SampleType >
template<typename ProcessContext >

void dsp::Phaser< SampleType >::process | ( | const ProcessContext & | context | ) |
| noexcept

Processes the input and output samples supplied in the processing context.

References gl::counter, dsp::AudioBlock< SampleType >::getSubBlock(), AudioBuffer< Type >::getWritePointer(), gl::input, int(), jassert, jlimit(), jmin(), mapToLog10(), gl::n, and gl::output.

The documentation for this class was generated from the following file:

- juce_Phaser.h